#include <stdio.h>
int main()
{
   
    char c1,c2; unsigned int a1,a2;
    scanf("%c%c", &c1,&c2);
    scanf("%u %u", &a1, &a2);
   
    if (a1 >= a2+2)
        printf("nemoguce");
    if (a2 >= a1+2)
        printf("nemoguce");

    if (a1 == a2){
        for(int i = 0; i < a2;i++)
            printf("%c%c",c1,c2);}
           
    if (a1 == a2+1){
        for(int i = 0; i <a2 ; i++)
            printf("%c%c",c1,c2);
            printf("%c",c1);}
    if (a1 == a2-1){
        for(int i = 0; i < a2-1; i++)
            printf("%c%c",c2,c1);
        printf("%c",c2);}
   

    return 0;
}